use near_account_id::AccountId;
use near_client::crypto::prelude::*;
use serde::{Deserialize, Serialize};

pub const SIGNATURE_HEADER_NAME: &str = "signature";

#[derive(Debug, Serialize, Deserialize)]
pub struct SignatureHeader {
    pub public_key: Ed25519PublicKey,
    pub account_id: AccountId,
    pub signature: Ed25519Signature,
}
